/**
* @file common_itk_util.h
* @brief itk warpper utility function
* @author Ray
* @history
* ===================================================================================
* Date             Name                   Description of Change
* 09-July-2008     Ray
*/
#include <io.h>
#ifndef TC_LOG_H
#define TC_LOG_H

#ifdef __cplusplus
extern "C" {
#endif

#define DOFREE(obj)								\
{												\
	if(obj)										\
	{											\
		MEM_free(obj);							\
		obj = NULL;								\
	}											\
}
	void CreateLogFile_jk(char* logFileName);
	void WriteLog_jk(const char* format, ...);
	void CloseLog_jk(void);
	void CreateLogFile(char* logFileName);
	void WriteLog(const char* format, ...);
	void CloseLog(void);
	//int FindDatasetReferenceExt( tag_t datasettype, const char *datasettype_ref, char ext[10] );
	//int CompareDate( date_t date1, date_t date2 );
	//int GetRandomTempFile( char tempFile[256] );
	//logical IsItemRevisionType( char object_type[WSO_name_size_c + 1] );

#ifdef __cplusplus
}
#endif

#endif#pragma once
